

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/hplance.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/net/hplance.c~hp300-lance-leak-fixes-fix drivers/net/hplance.c
--- 25/drivers/net/hplance.c~hp300-lance-leak-fixes-fix	2004-11-16 23:11:46.546476832 -0800
+++ 25-akpm/drivers/net/hplance.c	2004-11-16 23:13:01.457088688 -0800
@@ -96,16 +96,16 @@ static int __devinit hplance_init_one(st
 	hplance_init(dev, d);
 	err = register_netdev(dev);
 	if (err)
-		goto out_free_netdev;
+		goto out_release_mem_region;
 
 	dio_set_drvdata(d, dev);
 	return 0;
 
- out_release_mem_region:
+out_release_mem_region:
 	release_mem_region(dio_resource_start(d), dio_resource_len(d));
- out_free_netdev:
+out_free_netdev:
 	free_netdev(dev);
- out:
+out:
 	return err;
 }
 
_
